Skip to main content
POST
/
api
/
v1
/
connected-accounts
Create connected account
curl --request POST \
  --url https://api.example.com/api/v1/connected-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connected_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connection_type": "standard",
  "metadata": "<unknown>",
  "platform_customer_id": "cus_7n42DGM5Tflk9n8mt7Fhc7"
}
'
{
  "connection_type": "standard",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "onboarding_mode": "express",
  "platform_organization_id": "<string>",
  "status": "pending",
  "connected_organization_id": "org_7n42DGM5Tflk9n8mt7Fhc7",
  "connected_tenant_id": "ten_7n42DGM5Tflk9n8mt7Fhc7",
  "metadata": "<unknown>",
  "onboarding_completed_at": "2023-11-07T05:31:56Z",
  "pending_country": "US",
  "pending_email": "<string>",
  "pending_organization_name": "<string>",
  "platform_customer_id": "cus_7n42DGM5Tflk9n8mt7Fhc7",
  "revoked_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
connected_organization_id
string<uuid>
required
connection_type
null | enum<string>

Type of connection between platform and connected account

Available options:
standard,
express
metadata
any
platform_customer_id
null | string<MeteroidId>
Example:

"cus_7n42DGM5Tflk9n8mt7Fhc7"

Response

Connected account created

A connected account (relationship between platform and connected org)

connection_type
enum<string>
required

Type of connection between platform and connected account

Available options:
standard,
express
created_at
string<date-time>
required
id
string<MeteroidId>
required
Example:

"cacc_7n42DGM5Tflk9n8mt7Fhc7"

onboarding_mode
enum<string>
required

Onboarding mode for connected accounts

Available options:
express,
full
platform_organization_id
string<MeteroidId>
required
Example:

"org_7n42DGM5Tflk9n8mt7Fhc7"

status
enum<string>
required

Status of a connected account

Available options:
pending,
active,
revoked,
suspended
connected_organization_id
null | string<MeteroidId>

For express accounts in pending status, this may be None until onboarding completes

Example:

"org_7n42DGM5Tflk9n8mt7Fhc7"

connected_tenant_id
null | string<MeteroidId>

Tenant ID for express accounts (single-tenant). None for standard accounts (use tenant header).

Example:

"ten_7n42DGM5Tflk9n8mt7Fhc7"

metadata
any
onboarding_completed_at
string<date-time> | null
pending_country
null | string<CountryCode>

Country code for the organization to be created (express flow only)

Example:

"US"

pending_email
string | null

Email of the user being invited (express flow only)

pending_organization_name
string | null

Name of the organization to be created (express flow only)

platform_customer_id
null | string<MeteroidId>
Example:

"cus_7n42DGM5Tflk9n8mt7Fhc7"

revoked_at
string<date-time> | null